services:
  joplin-server:        
    depends_on:
      - db
#    ports:
#        - "22300:22300"
    env_file:
        - path: ../../env/joplin-srv-withdb.env
    networks:
        - ${JOPLINDB_NETWORk_ID}
  db:
    image: ${JOPLINDB_IMAGE}:${JOPLINDB_TAG}
    container_name: ${JOPLINDB_CONTAINER_NAME}
    restart: ${JOPLINDB_RESTART_POLICY}
    env_file:
        - path: ../../env/joplin-srv-db-cred.env
#    ports:
#        - "5432:5432"
    networks:
        - ${JOPLINDB_NETWORk_ID}